<?php

/**
 * Administrative form for aMedia aID
 * Path: `/admin/config/people/aid`
 *
 * @param $form
 * @param $form_state
 *
 * @return array
 *   Drupal Admin Form
 */
function aid_admin_form($form, &$form_state) {

  $form['oauth_info'] = [
    '#type'         => 'fieldset',
    '#title'        => t('OAuth Configuration'),
    '#description'  => t("Those information are essential for Oauth configuration"),
    '#tree'         => FALSE,
    '#collappsible' => TRUE,
    '#collapsed'    => TRUE,
  ];

  $form['oauth_info']['aid_oauth_id'] = [
    '#type'          => 'textfield',
    '#title'         => t("Client ID"),
    '#description'   => t("OAuth ClientID provided by aMedia"),
    '#default_value' => variable_get('aid_oauth_id', ''),
  ];

  if (module_exists('key')) {
    // TODO: Implement via KEY module
    $form['oauth_info']['aid_oauth_secret'] = [
      '#type'          => 'textfield',
      '#title'         => t("Client Secret"),
      '#description'   => t("OAuth ClientSecret provided by aMedia"),
      '#default_value' => variable_get('aid_oauth_secret', ''),
    ];
  }
  else {
    // TODO: Add note regarding KEY module
    $form['oauth_info']['aid_oauth_secret'] = [
      '#type'          => 'textfield',
      '#title'         => t("Client Secret"),
      '#description'   => t("OAuth ClientSecret provided by aMedia"),
      '#default_value' => variable_get('aid_oauth_secret', ''),
    ];
  }

  return system_settings_form($form);
}
